# Libraries
library(log4r)
library(docopt)
library(startR)
library(ClimProjDiags)
library(multiApply)
library(yaml)
library(s2dv)
library(abind)
library(easyNCDF)
library(CSTools)
library(lubridate)
library(PCICt)
library(clock)
library(RColorBrewer)
library(configr)
library(sf)
library(ggplot2)
library(rnaturalearth)
library(cowplot)
library(stringr)
library(pryr)
library(ncdf4)
library(formattable) ## to plot horizontal color bars - used ??
library(kableExtra)
library(memuse) # To check mem usage.

# Functions
## To be removed when new package is done by library(CSOperational)
source("tools/check_recipe.R")
source("tools/prepare_outputs.R")
source("tools/divide_recipe.R")
source("tools/data_summary.R")
source("tools/read_atomic_recipe.R")
source("tools/write_autosubmit_conf.R")
source("tools/get_archive.R")
source("tools/Utils.R")
source("tools/restructure_recipe.R")
# source("tools/add_dims.R") # Not sure if necessary yet
## To be removed after next release of CSTools:
source("modules/Crossval/R/tmp/CST_MergeDims.R")


# Settings
options(bitmapType = 'cairo')
pdf(NULL)
Sys.setlocale("LC_ALL", 'en_GB.UTF-8')


